For the complete documentation index, see llms.txt. This page is also available as Markdown.

Template (Template)

Create Template

API Request

POST

https://api.innopaas.com/api/whatsapp/v3/template/submit

Request Parameters

Field
Data Type
Required
Description

wabaId

String

Yes

Unique identifier of the WhatsApp Business Account

name

String

Yes

Template name: (eg:limited_time_offer_tuscan_getaway_2023) composed of lowercase letters, numbers, and underscores; field limit is 512 characters.

category

String

Yes

Template type: 1-MARKETING, 2-AUTHENTICATION, 3-UTILITY

parameterFormat

String

Yes

Variable format named: named variable positional: positional variable When parameterFormat=named, title and Body variable formats can be: {{name}},{{order_id}} When parameterFormat=positional, title and Body variable formats can only be: {{1}},{{2}}

messageLanguage

String

Yes

Template-supported languages, (Language abbreviation code is required)Please refer to Appendix 1

headerType

Integer

Yes

Whether multimedia is supported, default 1, 1: None, 2: Text, 3: Image, 4: Video, 5: Document

caption

String

No

Header content:Field limited to characters (for multimedia templates, this field is empty), dynamic parameter format {{1}}

messageBody

String

No

Body content:Field limited to 1024 characters. Dynamic parameter format {{1}}{{2}}, inserted in order at the beginning and end

footer

String

No

Footer content:Field limited to 60 characters (for AUTHENTICATION templates, this field indicates expiration time; not required; expiration time limited to within 90 minutes)

safetyAdvice

Integer

No

Whether to add safety advice to the AUTHENTICATION template (0: do not add, 1: add), optional. If not added, it displays: *{{1}}* is your verification code. If added, it displays: *{{1}}* is your verification code. For security, please do not share this verification code.

buttons

Object[]

No

The total number of buttons must not exceed 10

├─actionType

String

Button type 1-quick reply, 2-visit website, 3-call phone number, 4-copy code (when category is 2), 5-auto fill (when category is 2)

├─label

String

Button text

├─ phoneArea

String

Phone area code (eg:86)

├─ phone

String

Number (eg:18877776666)

├─packageName

String

App package name,Optional when the template type is AUTHENTICATION

├─sigNatureHash

String

App hash value,Optional when the template type is AUTHENTICATION

├─ autoFill

String

Auto fill,Optional when the template type is AUTHENTICATION

├─ targetUrl

String

Website visit (eg: "https://www.chuanglan.com/{{1}}")Only one dynamic parameter is supported, format {{1}}

├─buttonExample

Array

Button variable example (eg: "buttonExample": ["https://www.chuanglan.com/whatsApp"])Required when website visit contains variables; variable content must be the complete URL

headerExample

Objec

No

├─ header_handle

Array

Multimedia template variable (eg: "header_handle": ["4::axxxx"]) For multimedia templates, fill in the handle returned when the file is uploaded

├─ header_link

String

No

Resource URL, must be accessible from the public internet; choose either header_link or header_handle. When header_link is not empty, header_handle will be replaced

├─ header_text

Array

Plain text template variable (eg: "header_text": ["Chuanglan Cloud Intelligence"]) Text dynamic parameter template variable, dynamic parameter count limit 1

├─header_text_named_params

Array

When parameterFormat=named, pass dynamic parameters in "header_text_named_params": [ { "param_name": "order", "example": "1111" } ]

bodyExample

Object

No

├─ body_text

Array

When parameterFormat=positional, pass dynamic parameters in the body variable (eg: "body_text":[["variable1","variable2"]]); the variable example corresponds to the variables in order, and variable {{1}} corresponds to variable1, and so on

├─ body_text_named_params

When parameterFormat=named, pass custom variable names in dynamic parameters "body_text_named_params": [{ "param_name": "order_id", "example": "A1024" }, { "param_name": "ship_time", "example": "Today 10:24" }, { "param_name": "tracking_no", "example": "SF88888888" } ] }

Request Example

When parameterFormat=positional

When parameterFormat=named

Response Example

Update Template

API Request

POST

https://api.innopaas.com/api/whatsapp/v3/template/update

Request Parameters

Field
Data Type
Required
Description

templateId

String

Yes

Template ID

wabaId

String

Yes

Unique identifier of the WhatsApp Business Account

name

String

Yes

Template name: (eg:limited_time_offer_tuscan_getaway_2023) composed of lowercase letters, numbers, and underscores; field limit is 512 characters.

category

String

Yes

Template type: 1-MARKETING, 2-AUTHENTICATION, 3-UTILITY

messageLanguage

String

Yes

Template-supported languages:(Language abbreviation code is required)Please refer to Appendix 1

headerType

Integer

Yes

Whether multimedia is supported, default 1, 1: None, 2: Text, 3: Image, 4: Video, 5: Document

caption

String

No

Header content:Field limited to characters (for multimedia templates, this field is empty), dynamic parameter format {{1}}

messageBody

String

No

Body content:Field limited to 1024 characters. Dynamic parameter format {{1}}{{2}}, inserted in order at the beginning and end

footer

String

No

Footer content:Field limited to 60 characters (for AUTHENTICATION templates, this field indicates expiration time; not required; expiration time limited to within 90 minutes)

safetyAdvice

Integer

No

Whether to add safety advice to the AUTHENTICATION template (0: do not add, 1: add), optional. If not added, it displays: *{{1}}* is your verification code. If added, it displays: *{{1}}* is your verification code. For security, please do not share this verification code.

buttons

Object[]

No

The total number of buttons must not exceed 10

├─actionType

String

Button type 1-quick reply, 2-visit website, 3-call phone number, 4-copy code (when category is 2), 5-auto fill (when category is 2)

├─label

String

Button text

├─ phoneArea

String

Phone area code (eg:86)

├─ phone

String

Number (eg:18877776666)

├─packageName

String

App package name,Optional when the template type is AUTHENTICATION

├─sigNatureHash

String

App hash value,Optional when the template type is AUTHENTICATION

├─ autoFill

String

Auto fill,Optional when the template type is AUTHENTICATION

├─ targetUrl

String

Website visit (eg: "https://www.chuanglan.com/{{1}}")Only one dynamic parameter is supported, format {{1}}

├─buttonExample

Array

Button variable example (eg: "buttonExample": ["https://www.chuanglan.com/whatsApp"])Required when website visit contains variables; variable content must be the complete URL

headerExample

Object[]

No

├─ header_handle

Array

Multimedia template variable (eg: "header_handle": ["4::axxxx"]) For multimedia templates, fill in the handle returned when the file is uploaded

├─ header_link

String

No

Resource URL, must be accessible from the public internet. Choose either header_link or header_handle; when header_link is not empty, header_handle will be replaced

├─ header_text

Array

Plain text template variable (eg: "header_text": ["Chuanglan Cloud Intelligence"]) Text dynamic parameter template variable, dynamic parameter count limit 1

bodyExample

Object[]

No

├─ body_text

Array

body variable (eg: "body_text":[["variable1","variable2"]]); the variable example corresponds to the variables in order, and variable {{1}} corresponds to variable1, and so on

Request Example

Response Example

Template List

API Request

POST

https://api.innopaas.com/api/whatsapp/v3/template/list

Request Parameters

Field
Data Type
Required
Description

page

Integer

Yes

Page Number

Number of items returned per page

Integer

Yes

Template Name

wabaId

String

Yes

Unique identifier of the WhatsApp Business Account

name

String

No

Template Name

templateId

String

No

Template ID

category

list

No

Template type 1-MARKETING, 2-AUTHENTICATION, 3-UTILITY

messageLanguage

list

No

Template language (eg:en)

auditStatus

list

No

Template status 1: Pending, 2: Approved, 3: Rejected, 4: Paused, 5: Disabled

Request Example

Response Example

Delete Template

API Request

POST

https://api.innopaas.com/api/whatsapp/v3/template/delete

Request Parameters

Field
Data Type
Required
Description

wabaId

String

Yes

Unique identifier of the WhatsApp Business Account

id

String

Yes

Data ID (choose either data ID or templateId)

templateId

String

No

Template ID

Request Example

Response Example

最后更新于